<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Setting Report</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
  <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag">
    sidebar
  </div>
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="card shadow-sm">
          <div class="card-header">
            <h5>Pengaturan Laporan</h5>
          </div>
          <div class="card-body">
            <div class="row mb-3">
              <div class="col-md-12 text-end">
                <button class="btn btn-primary btn-sm"
                        data-bs-toggle="modal" data-bs-target="#exampleModal">+ Tambah</button>


                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog">
                    <form th:action="@{/settingreport}" method="post">
                      <div class="modal-content">
                        <div class="modal-header">
                          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body text-start">
                          <div class="form-group mb-2">
                            <label>Nama</label>
                            <input type="text" name="name" required class="form-control">
                          </div>
                          <div class="form-group mb-2">
                            <label>Pilih Style Minus</label>
                            <div class="form-check">
                              <input class="form-check-input" type="checkbox" value="ada" id="flexCheckMinus" name="minus">
                              <label class="form-check-label" for="flexCheckMinus">
                                Minus
                              </label>
                            </div>
                            <div class="form-check">
                              <input class="form-check-input" type="checkbox" value="ada" id="flexCheckKurung" name="brackets">
                              <label class="form-check-label" for="flexCheckKurung">
                                Kurung
                              </label>
                            </div>
                            <div class="form-check">
                              <input class="form-check-input" type="checkbox" value="ada" id="flexCheckMerah" name="redsign">
                              <label class="form-check-label" for="flexCheckMerah">
                                Merah
                              </label>
                            </div>
                          </div>

                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Tutup</button>
                          <button type="submit" class="btn btn-primary">Simpan</button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>

              </div>
            </div>
            <div class="table-responsive">
              <table class="table table-bordered table-hover">
                <thead class="table-dark" style="--bs-table-bg: #0a3e8a">
                <tr>
                  <th style="width: 5%;">#</th>
                  <th>Jenis Laporan</th>
                  <th style="width: 20%;">Detail</th>
                  <th></th>
                </tr>
                </thead>
                <body>
                <tr th:each="data, row:${listdata}">
                  <td th:text="${row.index + 1}">1</td>
                  <td th:text="${data.name}">Neraca Saldo</td>
                  <td><a th:href="@{/settingreport/detail/{report}(report = ${data.id})}" class="btn btn-outline-primary btn-sm">+ Detail Laporan</a></td>
                  <td>
                    <a th:href="@{/settingreport/delete(id = ${data.id})}" class="btn btn-danger btn-sm">Hapus</a>
                  </td>
                </tr>
                </body>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</main>
</body>
</html>